/*

Theme Name: Artefact

Theme URI: https://artefact-evenement.com

Description: Artefact Evenement Theme

Author: Jean-René Lherm

Author URI: http://jrlherm.com

Template: Divi

Version: 1.0.0

License: GNU General Public License v2 or later

License URI: http://www.gnu.org/licenses/gpl-2.0.html

*/



/*
*
* Top Menu
*
*/
/* Link hover in blueviolet*/
.mobile_menu_bar::before,
.mobile_menu_bar::after,
#top-menu li.current-menu-ancestor > a,
#top-menu li.current-menu-item > a,
#top-menu li > a:active,
#top-menu li > a:hover
{
	color: blueviolet;
}

/*.nav li ul {
	border-top-color: blueviolet;
}
*/

/*
* Highlight text in headers
*/
.highlight-dark {
	display: inline-flex;
	padding: 12px 20px 4px 20px;
	border-radius: 100px;
	font-size: 24px;
	background-color: rgba(0, 0, 0, 0.68);
	color: #fff !important;
}




/*
* Highlight text on homepage slider
*/

.et_pb_slide_description a {
	background-color: rgba(0, 0, 0, 0.6);
	border-radius: 50px;
	display: inline-block;
	padding: 0 25px 0 25px;
	line-height: 80px;
}

.et_pb_slide_content>p {
	background-color: rgba(0, 0, 0, 0.7);
	border-radius: 50px;
	display: inline-block;
	padding: 0 25px 0 25px;
}


h4.et_pb_module_header {
	margin-top: 25px !important;
}

/* Add growing underline on link titles on "Nos Metiers" page" */
.link-titles {
	margin-bottom: 40px !important;
}

.link-titles:after {
	content: "";
	position: absolute;
	display: block;
	background-color: #09e1c0;
	width: 50px;
	height: 4px;
	top: 70px;
	left: 0;
	border-radius: 4px;
	transition: width 300ms ease-in-out;
}

.link-titles:hover::after {
	content: "";
	position: absolute;
	display: block;
	width: 75px;
	left: 0;
}


/*
* Add padding for product thumbnails images
*/
.et_shop_image {}

.et_shop_image img {
	padding: 16px;
	border-radius: 10px;
	aspect-ratio: 1;
	object-fit: contain;
}


/*
* Video
*/
/* Remove controls on videos */
.my-video video::-webkit-media-controls {
	display: none !important;
}

.my-video video::-webkit-media-controls-enclosure {
	display: none !important;
}

.my-video video::-webkit-media-controls-panel {
	display: none !important;
}

.my-video video {
	width: 100%;
	height: auto;
	outline: none;
}





/*
*
* Portfolio
*
*/
/*portfolio image aspect ratio portrait 9:16*/
.pa-portfolio-image-9-16 .et_portfolio_image {
	padding-top: 140%;
	display: block;
}

.pa-portfolio-image-9-16 .et_portfolio_image img {
	position: absolute;
	height: 100%;
	width: 100%;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	object-fit: cover;
}


/* Change color of the active links in filter and pagination of the portfolio */
.et_pb_portofolio_pagination a.active,
.et_pb_portfolio_filter a.active {
	color: blueviolet !important;
	font-weight: 600;
}





/*
*
* Request a quote button
*
*/
/* Round corner for add to quote button */
#main-content>div.et-l.et-l--body>div>div>div.et_pb_row.et_pb_row_1_tb_body>div.et_pb_column.et_pb_column_3_5.et_pb_column_2_tb_body.et_pb_css_mix_blend_mode_passthrough.et-last-child>div.et_pb_module.et_pb_wc_add_to_cart.et_pb_wc_add_to_cart_0_tb_body.et_pb_fields_label_position_default.et_pb_bg_layout_.et_pb_text_align_left>div>form>div.yith-ywraq-add-to-quote.add-to-quote-236896>div.yith-ywraq-add-button.show>a {
	border-radius: 30px !important;
}





/*
*
* Request a quote page
*
*/
/* Hide elements of the original page*/
#wpcf7-f238031-p238032-o1 {
	display: none;
}

/* Hide form */
#post-238032>div>div>div>div.et_pb_section.et_pb_section_1.et_section_regular>div>div.et_pb_column.et_pb_column_2_5.et_pb_column_1.et_pb_css_mix_blend_mode_passthrough>div>div>div>div.ywraq-form-table-wrapper.vertical>h3 {
	display: none;
}

/*Hide Title*/
#post-238032>div>div>div>div.et_pb_section.et_pb_section_1.et_section_regular>div>div.et_pb_column.et_pb_column_2_5.et_pb_column_1.et_pb_css_mix_blend_mode_passthrough>div>div>div>div.yith-ywraq-before-table>a {
	display: none;
}

/* Hide original back to catalog button */

/* Style send message button */
#wpcf7-f238031-p238032-o2>form>div:nth-child(6)>div>button {
	border-radius: 30px;
	color: blueviolet;
}

#wpcf7-f238031-p238032-o2>form>div:nth-child(6)>div>button:hover {
	background-color: blueviolet;
	color: white;
}




/*
*
* Catalog Sidebar
*
*/

/* Main cat active page link in dark grey and bolder */
.wpf_selected {
	color: #454545 !important;
	font-weight: 600;
}

/* Main Cat link in grey */
.categories-links a,
.wpf_column_horizontal a {
	color: #666666 !important;
}

.wpf_column_horizontal a {
	border: 1px blueviolet !important;
	border-radius: 16px !important;
}

.categories-links a:hover {
	color: #454545 !important;
}

.yith-ywraq-add-button.show>a {
	border-radius: 30px;
	margin-bottom: 6px;
}

.yith-ywraq-add-button.show:hover>a {
	border-radius: 30px;
	margin-bottom: 6px;
}

/* adding shadows and padding to recent viewed item in the sidebar */
.wc-block-grid__product-image img {
	background-color: white;
	padding: 6px;
	border-radius: 10px;
	box-shadow: 0px 2px 12px 0px rgba(0, 0, 0, 0.2) !important;
}

/* Adjust padding in sidebar */
#block-21,
#block-19 {
	margin-bottom: 15px !important;
	border-bottom: 1px, rgba(0, 0, 0, .9) !important;
}

#block-11 {
	margin-bottom: 3px;
}

.add-request-quote-button button {
	border-radius: 30px !important;
}

/*Remove ordering*/
.orderby {
	display: none;
}




/* Cacher la sidebar sur mobile */
@media only screen and (max-width: 767px) {
	.woocommerce-sidebar {
		display: none !important;
	}
}

/* Styles pour le bouton de filtre */
@media only screen and (max-width: 767px) {
	.filter-button {
		display: block;
		width: 100%;
		text-align: center;
		padding: 10px;
		background-color: #f7f7f7;
		border: 1px solid #e5e5e5;
		margin-bottom: 10px;
		cursor: pointer;
	}
}



/* Hide cart icon in top nav */
a.et-cart-info {
	display: none;
}